KDE 3.5 backport - Debian

This is a discussion on KDE 3.5 backport - Debian ; Hi, mea from debian-desktop finish backporting KDE 3.5 to etch (ppc) and sarge (x86). But the sarge packages still have some bugs. The qt libs are named libqt3-mt in sid and etch, while they are names libqt3c102-mt in sarge. That`s ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: KDE 3.5 backport

  1. KDE 3.5 backport

    Hi,

    mea from debian-desktop finish backporting KDE 3.5 to etch (ppc) and sarge
    (x86). But the sarge packages still have some bugs.
    The qt libs are named libqt3-mt in sid and etch, while they are names
    libqt3c102-mt in sarge.

    That`s why my question. Should the qt package be renamed, or is it possible to
    add an provides statement into the control file?

    Here is an example:

    Package: libqt3-mt
    Version: 3:3.3.5-1mea1
    Section: libs
    Priority: optional
    Architecture: i386
    Depends: libaudio2, libc6 (>= 2.3.2.ds1-21), libfontconfig1 (>= 2.3.0),
    libfreetype6 (>= 2.1.5-1), libgcc1 (>= 1:3.4.1-3), libice6 | xlibs (>>
    4.1.0), libjpeg62, libmng1 (>= 1.0.3-1), libpng12-0 (>= 1.2.8rel), libsm6 |
    xlibs (>> 4.1.0), libstdc++5 (>= 1:3.3.4-1), libx11-6 | xlibs (>> 4.1.0),
    libxcursor1 (>> 1.1.2), libxext6 | xlibs (>> 4.1.0), libxft2 (>> 2.1.1),
    libxi6 | xlibs (>> 4.1.0), libxinerama1, libxrandr2 | xlibs (>> 4.3.0),
    libxrender1, libxt6 | xlibs (>> 4.1.0), zlib1g (>= 1:1.2.1), fontconfig
    Suggests: libqt3-mt-psql, libqt3-mt-mysql, libqt3-mt-odbc
    Conflicts: libqui1-emb, libqt3c-mt
    Replaces: qt3-tools (<< 2:3.0.2-20020306-1), libqt3-helper, libqt3
    Provides: libqt3c102-mt

    Is this ok? Of course it can`t, because a can`t install these packages :-(

    Is anybody familiar with backporting?

    thx

    manne



    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  2. Re: KDE 3.5 backport

    Manfred Paul wrote:

    > mea from debian-desktop finish backporting KDE 3.5 to etch (ppc) and sarge
    > (x86). But the sarge packages still have some bugs.


    Thanks for the effort! Did this get resolved?

    And: any chance of a backport of 3.5.1 ? I'd be very interested in 3.5.1. for
    sarge. If not: are the 3.5.0 packages available somewhere?

    --
    Yours, Mikhail Ramendik


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

+ Reply to Thread